## cross-gcc-4.9-mipsel 1.0

=== debian/changelog ===
cross-gcc-4.9-mipsel (1.0) unstable; urgency=low

  * Updated patches for 4.9.2
  * Clarify descriptions for cross-gcc and cross-gcc-defaults
  * Add gccgo and gobjc to default builds
  * Re-enable powerpc

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc-4.9-mipsel (0.9) unstable; urgency=low

  * Make gcc-4.9-source build-dep versioned as patches have to match

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc-4.9-mipsel (0.8) unstable; urgency=low

  * Adjust patches and rebuild for 4.9.1-19

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc-4.9-mipsel (0.7) unstable; urgency=high

  * Use whichever dpkg-buildpackage target-arch setting mechanism
    is available. Aids backporting.

 -- wookey <wookey@wookware.org>  Wed, 23 Oct 2014 04:32:29 +0100

cross-gcc-4.9-mipsel (0.6) unstable; urgency=high

  * Restrict package to amd64 for Jessie
  * Use new (dpkg >= 1.17.18) target-setting mechanism

 -- wookey <wookey@wookware.org>  Fri, 17 Oct 2014 23:42:28 +0100

cross-gcc-4.9-mipsel (0.5) experimental; urgency=medium

  * Enable cross-fortran package

 -- wookey <wookey@wookware.org>  Tue, 07 Oct 2014 02:19:25 +0000

cross-gcc-4.9-mipsel (0.4) experimental; urgency=medium

  * Unset multiarch:foreign for jessie
  * Set cpp-triplet in depends for g++-triplet (fixes reject on
     'symlink to other package but no dependency')

 -- wookey <wookey@wookware.org>  Thu, 25 Sep 2014 15:12:13 +0100

cross-gcc-4.9-mipsel (0.3) experimental; urgency=medium

  * Add arm64 target
  * Set packages to be multiarch:foreign
  * Use common target list file

 -- Wookey <wookey@debian.org>  Tue, 19 Aug 2014 00:43:01 +0100

cross-gcc-4.9-mipsel (0.2) unstable; urgency=low

  * Update for multiple version co-installability

 -- wookey <wookey@wookware.org>  Wed, 13 Aug 2014 04:25:15 +0100

cross-gcc-4.9-mipsel (0.1) unstable; urgency=low

  * Initial release

 -- Wookey <wookey@debian.org>  Sat, 06 Feb 2014 01:04:00 +0100
