=== debian/control ===
Source: cross-gcc-4.9-mipsel
Section: devel
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Standards-Version: 3.9.5
Build-Depends: dpkg-dev, debhelper, gcc-4.9-source (>= 4.9.2-1),
 libc6-dev:mipsel, linux-libc-dev:mipsel, libgcc1:mipsel,
 binutils-mipsel-linux-gnu, bison, flex, libtool, gdb, sharutils, netbase, 
 libcloog-isl-dev (>= 0.18), libmpc-dev, libmpfr-dev, libgmp-dev (>= 2:5.0.1~), systemtap-sdt-dev, 
 autogen, expect, realpath, chrpath, lsb-release, zlib1g-dev, gawk, lzma, xz-utils, zip
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=crosstoolchain/cross-gcc.git;a=summary
Vcs-Git: https://alioth.debian.org/anonscm/git/crosstoolchain/cross-gcc.git

Package: cpp-4.9-mipsel-linux-gnu
Architecture: amd64
Section: devel
Depends: ${misc:Depends}
Description: Cross-gcc (cpp) targetting mipsel
 This is the versioned GNU C pre-processor (cpp) built for cross-building mipsel 
 binaries/packages.
 .
 This package contains the actual compiler, but you do not normally want to
 install it directly. Instead, install the metapackage cpp-mipsel-linux-gnu, 
 which brings in the current default version of this package and includes the
 necessary symlinks.
 .
 It is built by the cross-gcc-4.9-mipsel package from the normal gcc-4.9
 sources.

Package: gcc-4.9-mipsel-linux-gnu
Architecture: amd64
Section: devel
Depends: ${misc:Depends}
Description: Cross-gcc (GCC) targetting mipsel
 This is the versioned GNU C compiler built for cross-building mipsel
 binaries/packages
 .
 This package contains the actual compiler, but you do not normally want to
 install it directly. Instead, install the metapackage gcc-mipsel-linux-gnu,
 which brings in the current default version of this package and includes the
 necessary symlinks.
 .
 It is built by the cross-gcc-4.9-mipsel package from the normal gcc-4.9
 sources.

Package: g++-4.9-mipsel-linux-gnu
Architecture: amd64
Section: devel
Depends: cpp-mipsel-linux-gnu, ${misc:Depends}
Description: Cross-gcc (G++) targetting mipsel
 This is the versioned GNU C++ compiler built for cross-building mipsel
 binaries/packages
 .
 This package contains the actual compiler, but you do not normally want to
 install it directly. Instead, install the metapackage g++-mipsel-linux-gnu,
 which brings in the current default version of this package and includes the
 necessary symlinks.
 .
 It is built by the cross-gcc-4.9-mipsel package from the normal gcc-4.9
 sources.

Package: gfortran-4.9-mipsel-linux-gnu
Architecture: amd64
Section: devel
Depends: ${misc:Depends}
Description: Cross-fortran targetting mipsel
 This is the versioned GNU fortran compiler built for cross-building mipsel 
 binaries/packages
 .
 This package contains the actual compiler, but you do not normally want to
 install it directly. Instead, install the metapackage gfortran-mipsel-linux-gnu,
 which brings in the current default version of this package and includes the
 necessary symlinks.
 .
 It is built by the cross-gcc-4.9-mipsel package from the normal gcc-4.9
 sources.

Package: gobjc-4.9-mipsel-linux-gnu
Architecture: amd64
Section: devel
Depends: ${misc:Depends}
Description: Cross-fortran targetting mipsel
 This is the versioned GNU objective C compiler built for cross-building mipsel
 binaries/packages
 .
 This package contains the actual compiler, but you do not normally want to
 install it directly. Instead, install the metapackage gobjc-mipsel-linux-gnu,
 which brings in the current default version of this package and includes the
 necessary symlinks.
 .
 It is built by the cross-gcc-4.9-mipsel package from the normal gcc-4.9
 sources.

Package: gccgo-4.9-mipsel-linux-gnu
Architecture: amd64
Section: devel
Depends: ${misc:Depends}
Description: Cross-fortran targetting mipsel
 This is the versioned GNU go compiler built for cross-building mipsel
 binaries/packages
 .
 This package contains the actual compiler, but you do not normally want to
 install it directly. Instead, install the metapackage gccgo-mipsel-linux-gnu,
 which brings in the current default version of this package and includes the
 necessary symlinks.
 .
 It is built by the cross-gcc-4.9-mipsel package from the normal gcc-4.9
 sources.
