## cross-gcc-4.9-mipsel 14

=== debian/changelog ===
cross-gcc-4.9-mipsel (14) unstable; urgency=medium

  * Enable config for multilib/non-multilib builds
  * Add i386 and arm64 packages

 -- Wookey <wookey@debian.org>  Sat, 31 Jan 2015 15:47:24 +0000

cross-gcc-4.9-mipsel (13) unstable; urgency=medium

  * Supporting multiple gcc trees at the same time. Currently 4.9 and 5

    - All tools accept the requested version on the commandline
    - Patch series shipped in /usr/share/cross-gcc/patches/gcc-$ver

  * Included gcc-5 patches apply to 5-20150127-1

 -- Dima Kogan <dima@secretsauce.net>  Tue, 27 Jan 2015 22:14:59 -0800

cross-gcc-4.9-mipsel (12) unstable; urgency=medium

  * Imported Helmut Grohne's fix for #774010

 -- Dima Kogan <dima@secretsauce.net>  Wed, 14 Jan 2015 01:08:58 -0800

cross-gcc-4.9-mipsel (11) unstable; urgency=medium

  * rebuild for 4.9.2-10

 -- auto_build_all.sh script by Dima Kogan <dima@secretsauce.net>  Fri, 26 Dec 2014 22:20:26 -0800

cross-gcc-4.9-mipsel (10) unstable; urgency=medium

  * rebuild for 4.9.2-9

 -- Dima Kogan <dima@secretsauce.net>  Sat, 20 Dec 2014 11:17:25 -0800

cross-gcc-4.9-mipsel (9) experimental; urgency=medium

  * reworked packaging

 -- Dima Kogan <dima@secretsauce.net>  Thu, 18 Dec 2014 22:24:35 -0800

cross-gcc-4.9-mipsel (8) experimental; urgency=low

  * Use of dpkg features instead of seddery in rules
  * Use dpkg-dev instead of lsb_release
  * Drop build-deps which are essential

 -- Wookey <wookey@debian.org>  Tue, 16 Dec 2014 21:01:37 +0000

cross-gcc-4.9-mipsel (7) experimental; urgency=low

  * Move generic patches into common directory

 -- Wookey <wookey@debian.org>  Sun, 07 Dec 2014 16:51:04 +0000

cross-gcc-4.9-mipsel (6) experimental; urgency=low

  * Refactor into cross-gcc-dev binary package to generate sources

 -- Wookey <wookey@debian.org>  Tue, 02 Dec 2014 03:29:04 +0000

cross-gcc-4.9-mipsel (5) unstable; urgency=low

  * rebuild for 4.9.2-4
  * Patched to revert removal of with_deps_on_target_arch_pkgs

 -- wookey <wookey@debian.org>  Sun, 30 Nov 2014 03:33:09 +0000

cross-gcc-4.9-mipsel (4) unstable; urgency=low

  * Update build scripts to allow alternate build arch

 -- wookey <wookey@debian.org>  Fri, 28 Nov 2014 01:07:00 +0000

cross-gcc-4.9-mipsel (3) unstable; urgency=low

  * rebuild for 4.9.2-3

 -- wookey <wookey@debian.org>  Wed, 26 Nov 2014 18:30:35 +0000

cross-gcc-4.9-mipsel (2) unstable; urgency=low

  * Ensure dependency on libgcc1:arch is exact version match
  * rebuild for 4.9.2-2

 -- wookey <wookey@debian.org>  Wed, 19 Nov 2014 17:02:12 +0000
