=== debian/control ===
Source: cross-gcc-4.9-mipsel
Section: devel
Priority: extra
Maintainer: Debian Cross-Toolchain Team <debian-toolchain@lists.debian.org>
Uploaders: Wookey <wookey@debian.org>, Dima Kogan <dima@secretsauce.net>
Standards-Version: 3.9.5
Build-Depends: debhelper, cross-gcc-dev, gcc-4.9-source (= 4.9.2-10),
 libc6-dev:mipsel, linux-libc-dev:mipsel, libgcc1:mipsel,
 binutils-mipsel-linux-gnu, bison, flex, libtool, gdb, sharutils, netbase, 
 libcloog-isl-dev (>= 0.18), libmpc-dev, libmpfr-dev, libgmp-dev (>= 2:5.0.1~), systemtap-sdt-dev, 
 autogen, expect, realpath, chrpath, zlib1g-dev, lzma, xz-utils, zip
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=crosstoolchain/cross-gcc.git;a=summary
Vcs-Git: https://alioth.debian.org/anonscm/git/crosstoolchain/cross-gcc.git

Package: cpp-4.9-mipsel-linux-gnu
Architecture: amd64 i386 arm64
Description: Cross-gcc (cpp) targetting mipsel
 The building of these packages happens in packages/cross-gcc-xxx/gcc-x.y.z and
 THAT directory has its own debian/control file. THIS file needs to have the
 full Source: stanza and a list of Packages we want to build

Package: gcc-4.9-mipsel-linux-gnu
Architecture: amd64 i386 arm64
Description: Cross-gcc (gcc) targetting mipsel
 The building of these packages happens in packages/cross-gcc-xxx/gcc-x.y.z and
 THAT directory has its own debian/control file. THIS file needs to have the
 full Source: stanza and a list of Packages we want to build

Package: g++-4.9-mipsel-linux-gnu
Architecture: amd64 i386 arm64
Description: Cross-gcc (g++) targetting mipsel
 The building of these packages happens in packages/cross-gcc-xxx/gcc-x.y.z and
 THAT directory has its own debian/control file. THIS file needs to have the
 full Source: stanza and a list of Packages we want to build

Package: gfortran-4.9-mipsel-linux-gnu
Architecture: amd64 i386 arm64
Description: Cross-gcc (gfortran) targetting mipsel
 The building of these packages happens in packages/cross-gcc-xxx/gcc-x.y.z and
 THAT directory has its own debian/control file. THIS file needs to have the
 full Source: stanza and a list of Packages we want to build


Package: gobjc-4.9-mipsel-linux-gnu
Architecture: amd64 i386 arm64
Description: Cross-gcc (gobj) targetting mipsel
 The building of these packages happens in packages/cross-gcc-xxx/gcc-x.y.z and
 THAT directory has its own debian/control file. THIS file needs to have the
 full Source: stanza and a list of Packages we want to build

Package: gccgo-4.9-mipsel-linux-gnu
Architecture: amd64 i386 arm64
Description: Cross-gcc (gccgo) targetting mipsel
 The building of these packages happens in packages/cross-gcc-xxx/gcc-x.y.z and
 THAT directory has its own debian/control file. THIS file needs to have the
 full Source: stanza and a list of Packages we want to build
